<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>P58 - zaprojektuj własne trampki</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie P58</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>PHP pobieranie danych za pomocą formularza <br><br>Zapoznaj się z rozdziałem podręcznika. Opracuj własny
        formularz i skrypt pobierający dane. Do wykonania zadania użyj różne komponenty formularzy. Przykładowy wygląd
        formularza pokazany jest na załączonej grafice.</p>
</div>
<?php
$isSubmitted = $_SERVER['REQUEST_METHOD'] === 'POST';
?>
<div class="box" id="formbox">
    <?php
    if (!$isSubmitted) {
        echo <<<HEREDOC
    <form id="form" method="post" action="index.php">
        <fieldset id="formdata">
            <legend>Podstawowe dane</legend>
            <ul>
                <li><label for="form-name">Imię i nazwisko: </label><input class="text" type="text" name="name" id="form-name"></li>
                <li><label for="form-email">E-mail: </label><input class="text" type="email" name="email" id="form-email"></li>
                <li><label for="form-tel">Telefon: </label><input class="text" type="text" name="telephone" id="form-tel"></li>
                <li><label for="form-story">Moje buty są takie stare...</label><br>
                    <textarea name="story" id="form-story" cols="60" rows="4" maxlength="300" placeholder="Nie więcej niż 300 znaków"></textarea></li>
            </ul>
        </fieldset>
        <h1>Zaprojektuj własne trampki</h1>
        <fieldset>
            <legend>Własny projekt butów</legend>
            <fieldset id="field1">
                <legend>Kolor (wybierz jeden)</legend>
                <label><input type="radio" name="color" value="red">Czerwony</label> <br>
                <label><input type="radio" name="color" value="blue">Niebieski</label> <br>
                <label><input type="radio" name="color" value="black">Czarny</label> <br>
                <label><input type="radio" name="color" value="silver">Srebrny</label> <br>
            </fieldset>
            <fieldset id="field2">
                <legend>Opcje (możesz wybrać kilka)</legend>
                  <label><input type="checkbox" name="options[]" value="Błyszczące sznurówki"> Błyszczące sznurówki</label><br>
                  <label><input type="checkbox" name="options[]" value="Metalowe logo"> Metalowe logo</label><br>
                  <label><input type="checkbox" name="options[]" value="Świecące podeszwy"> Świecące podeszwy</label><br>
                  <label><input type="checkbox" name="options[]" value="Odtwarzanie MP3"> Odtwarzanie MP3</label><br>
            </fieldset>
            <fieldset id="field3">
                <legend>Rozmiar</legend>
                <p><label for="selectsize">Rozmiar zgodny ze standardowymi rozmiarami butów: </label><select name="size" id="selectsize" size="1">
                        <option value="37">37</option>
                        <option value="38">38</option>
                        <option value="39">39</option>
                        <option value="40">40</option>
                        <option value="41">41</option>
                        <option value="42">42</option>
                        <option value="43">43</option>
                        <option value="44">44</option>
                        <option value="45">45</option>
                        <option value="46">46</option>
                        <option value="47">47</option>
                        <option value="48">48</option>
                    </select></p>
            </fieldset>
        </fieldset>
        <button type="submit">Submits</button>
    </form>
HEREDOC;

    } else {
        $name = htmlspecialchars($_POST['name']) ?? '';
        $email = htmlspecialchars($_POST['email']) ?? '';
        $telephone = htmlspecialchars($_POST['telephone']) ?? '';
        $story = htmlspecialchars($_POST['story']) ?? '';
        $color = htmlspecialchars($_POST['color']) ?? '';
        $check1 = $_POST['options'] ?? [];
        $size = htmlspecialchars($_POST['size']) ?? '';

        $colorText = "";

        switch ($color) {
            case "red":
                $colorText = "Czerwony";
                break;
            case "blue":
                $colorText = "Niebieski";
                break;
            case "black":
                $colorText = "Czarny";
                break;
            case "silver":
                $colorText = "Srebrny";
                break;
        }

        echo "Imie i nazwisko: " . $name . "<br>";
        echo "E-mail: " . $email . "<br>";
        echo "Telefon: " . $telephone . "<br>";
        echo "Historia: " . $story . "<br>";
        echo "<hr>";
        echo "Kolor: " . $colorText . "<br>";
        if (empty($check1)) {
            echo 'Nie wybrano żadnych opcji. <br>';
        } else {
            echo 'Wybrane opcje:<ul>';
            foreach ($check1 as $opcja) {
                echo '<li>' . htmlspecialchars($opcja) . '</li>';
            }
            echo '</ul><br>';
        }
        echo "Rozmiar: " . $size . "<br>";
        echo <<<HEREDOC
    <form method="get" action="index.php">
        <button type="submit">Wypełnij ponownie</button>
    </form>
HEREDOC;

    }
    ?>
</div>

</body>
</html>
<?php
